Make code Python 3 compatible.

Description

Hi there!
First of all, thank you for maintaining an up-to-date fork of `django-oauth2-provider`!
Our company also uses it, and currently we are lacking resources to migrate to recommended `django-oauth-toolkit` package.
But this is the last dependency that hinders us from using Python 3. Porting is relatively simple and is provided in this PR. I'm open to discuss the changes.
Thanks!

Done

Assignee

Unassigned

Reporter

Open Source Pull Request Bot

Contributor Name

Andrey Petrov

Repo

edx/django-oauth2-provider

Customer

None

Epic Link

None

OSCM Assignee

None

Platform Map Area (Levels 1 & 2)

None

Platform Map Area (Levels 3 & 4)

None

Blended Hour Utilization Percentage

None

edX Theme

None

edX Squad

None

Github Lines Added

None

Github Lines Deleted

None

Priority

Unset